<!DOCTYPE html>
<html lang="en">
    <head>

        <meta name="viewport" content="width=device-width, initial-scale=1.0">
         <meta charset="utf-8">
        <link rel="stylesheet" href="vidoestyle.css">
        <link rel="stylesheet" href="tabstyle.css">
        <link rel="stylesheet" href="buttonstyle.css">
        <script src="myscript.js"></script>
       
	    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>

        <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
        <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>

    </head>
    <title>OnlinePJ Videos</title>
    <body>


        
    <div class="maincontainer">
            
        <div class="header">
          <p>OnlinePJ Videos Gallery</p>
        </div>
    
        <div class="div-left">
        </div>
        
        
        <div class="main">
            <div class="main-vimeo">
              <iframe class="iframe-main-vimeo" src="https://player.vimeo.com/video/824775999?h=a7587e33b3"  
              width="640" height="564" frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe>
            </div>
        </div>
        
        <div id="divControls" style="grid-row:3;">

            <!--        
            <button onclick="vimeoplay()"> Video Play </button>            
            <button onclick="vimeoLoad()"> Video Load </button>            
            -->

        </div>
    
    
    
        <div class="aside">
            
            <!-- Tab links -->
            <div id="TabHeader" class="tab">
              <button class="tablinks" onclick="openCity(event, 'Tab1')">Categories</button>
              <button class="tablinks" onclick="openCity(event, 'Tab2')">Search</button>
              <button class="tablinks" onclick="openCity(event, 'Tab3')">Favorites</button>
              <button class="tablinks" onclick="openCity(event, 'Tab4')">More</button>
              <!--   தலைப்புகள்   தேடல்   பிடித்தவை     -->
              
            </div>
            
            <!-- Tab content -->
            <div id="Tab1" class="tabcontent" style="display: block;">
                <div id="ContainerCategories" >
                    <select class="select2" data-minimum-results-for-search="Infinity" 
                        name="state" id="category" 
                        style="font-size: 18px; width: 96.5%; height: auto; margin: 0px 0px 0px 2px; padding: 5px 1px 5px 1px;" >
                            	grid-row: 1;
    
    
    
                        <!--<select class="js-example-basic-single"  name="state" id="category" style="width: 95%; height: 9%; font-size: 20px; margin-top:10px;" >-->
                        <!-- https://select2.org/getting-started/basic-usage  -->
                        
                        <?php
                        	include_once ('includes/variables.php'); 
                            $sqlQuery = "select id,CatName from onlinepj_categories";
                            $result = $conn->query($sqlQuery);
                            
                            while($row = $result->fetch_assoc()) { ?>
                                <option value="<?=$row['id'];?>"><?=$row['CatName'];?></option>;
                        <?php } ?>
                            
                        </select>
                    
                    <div id="listView">
                            <div id='divcatloading'>
                                <div class='loader'>
                                </div>
                            </div>
                            <!-- ajax will load items here  -->
                    </div>
                </div>
            </div>
            
            <div id="Tab2" class="tabcontent" >
                <div id="ContainerSearch" >
                    <input type="text" id="txtSearch" name="txtSearch"><br>
                    <div id="listViewSearch">
                            <div id='divSearchLoading'>
                                <div class='loader'>
                                </div>
                            </div>
                            <!-- ajax will load items here  -->
                    </div>
                </div>
            </div>
            
            <div id="Tab3" class="tabcontent">
              <h3>Work in progress</h3>
              <h3>Will be implemented soon insha Allah</h3>
            </div>
            
            
            <div id="Tab4" class="tabcontent">
                <div id="Tab4Child" >
                  <p><br> </p>
                  <h4>Click to download the video</h4>
                  <p id="currentVideoTitleId"></p>
                  <button id="btnDownload" onclick="OpenDownloadLink()" type="button">Download</button>
                </div>
            </div>
            
        </div>
        
        <div id="bottom">
        </div>
    </div>


    </body>
</html>

<script src="https://player.vimeo.com/api/player.js"></script>

<script>

    var shouldPlayNow = false;
    var downloadLink = '';
    
    function OpenDownloadLink(){
        if(downloadLink == '') {
            alert("Sorry! Not available for this video!");
            return;
        }
        
        let a= document.createElement('a');
        a.target= '_blank';
        a.href= downloadLink;
        a.click();
    }
    
    function vimeoPlayAll(LvCatItemCurrentName, play){
        var iframe = document.querySelector('iframe');
        var player = new Vimeo.Player(iframe);
        
        if(shouldPlayNow == true){
            player.play();
        }else{
            console.log('play = false - LvCatItem1 will not be played automatically');
        }
         
         
        var LvCatItem = document.getElementById(LvCatItemCurrentName);
        if (LvCatItem) {
            var dlink1 = LvCatItem.getAttribute('dlink1');
            console.log('dlink1: ', dlink1);
            // var btnDownload = document.getElementById(btnDownload);
            // btnDownload.setAttribute('dlink1') = dlink1;
            downloadLink = dlink1;
         
            var currentVideoTitleId = document.getElementById("currentVideoTitleId");
            player.getVideoTitle().then(function(title) {
                currentVideoTitleId.innerHTML = title;
            });
                
        } else {
          console.log('Element not found');
        }
            
            
        
        player.on('ended', function(data) {
            console.log('Current Video ended');
            
            var LvCatItem = document.getElementById(LvCatItemCurrentName);
            if (LvCatItem) {
                var LvCatItemNextName = LvCatItem.getAttribute('nextItemName');
                console.log('LvCatItemNextName:', LvCatItemNextName);
                var LvCatItemNext = document.getElementById(LvCatItemNextName);
                LvCatItemNext.click();
            } else {
              console.log('Element not found');
            }
        });
        
        setActiveCatCard(LvCatItemCurrentName);
}
    
    function vimeoLoad(LvCatItemCurrentName){
            
        var LvCatItem = document.getElementById(LvCatItemCurrentName);
        
        if (LvCatItem) {
            LvCatItem.addClass("active");    
            
            var LvCatItemNextName = LvCatItem.getAttribute('nextItemName');
            console.log('LvCatItemNextName:', LvCatItemNextName);
            var LvCatItemNext = document.getElementById(LvCatItemNextName);
            var dataUrl = LvCatItemNext.getAttribute('data-url');
            console.log('Next List Attribute value:', dataUrl);
            
            $('.main-vimeo').html('');
            $('.main-vimeo').html(dataUrl);
        } 
        else {
          console.log('Element not found');
        }
        
        return;
            
        var iframe = document.querySelector('iframe');
        var player = new Vimeo.Player(iframe);
        //player.loadVideo(685696250);
        player.loadVideo("https://player.vimeo.com/video/685696250?h=ed0940db65");
        let text = myAnchor.getAttribute("src");
        player.play();

        // 685696250?h=ed0940db65  sura Nasr
        // <iframe src="https://player.vimeo.com/video/685696250?h=ed0940db65" width="640" height="564" frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe>
    }
    
    function vimeoPause(){
        var iframe = document.querySelector('iframe');
        var player = new Vimeo.Player(iframe);
        player.pause();
    }
    
    function vimeoLoad1stVideo(){
        // set the 1st list-item active
        // then just load the first item
        // add on-ended event to vimeo iframe
            
        var LvCatItemCurrentName = "LvCatItem1";
        vimeoPlayAll(LvCatItemCurrentName, false);  
            
        var LvCatItem = document.getElementById(LvCatItemCurrentName);
        if (LvCatItem) {
            var srcData = LvCatItem.getAttribute('data-url');
            console.log('srcData:', srcData);
            
            $('.main-vimeo').html('');
            $('.main-vimeo').html(srcData);
        } 
        else {
          console.log('Element not found');
        }
    }
    
    function setActiveCatCard(elementName) {
      // Declare all variables
      var i, tabcontent, tablinks;
    
      // Get all elements with class="card" and remove the class "active"
      cards = document.getElementsByClassName("card");
      console.log( `cards.length = ${cards.length}` );
          
      for (i = 0; i < cards.length; i++) {
        cards[i].className = cards[i].className.replace(" activeCatCard", "");
          
        // console.log( `cards.length = ${cards[i].className}` );      
        // console.log( `cards[i].localName = ${cards[i].id}` );
      }
    
      // add an "activeCatCard" class to the active card
      var element = document.getElementById(elementName);
      // console.log( `element.className = ${element.className}` );
      element.className += " activeCatCard";
    }



    // In your Javascript (external .js resource or <script> tag)
    $(document).ready(function() {
        
        $('.js-example-basic-single').select2();
        
        setTimeout(function(){
            $('#category').trigger('change');
        },1000);

        document.getElementById("category").focus();

        //category base results
        $('#category').change(function(){
            var catID = $(this).val();
            
            // var divcatloading = document.getElementById("divcatloading");
            // divcatloading.style.display = "block";
            var divcatloading = document.getElementById("divcatloading");
            if (divcatloading) divcatloading.style.display = "block";
            divcatloading.style.display = "flex";

            
           $.ajax({
            url : "get-videos.php",
            method : "post",
            data:{catID:catID},
            success:function(response){
                
                $('#listView').html(response);
                
                $('body .card').click(function(){
                    $('.main-vimeo').html('');
                    $('.main-vimeo').html($(this).data('url'));
                    
                
                    var nam = $(this).attr('id');
                    console.log('namename:', nam);
                    vimeoPlayAll(nam, true); 
                });
                
                // vimeoLoad1stVideo();   
                shouldPlayNow = false;
                var LvCatItem1 = document.getElementById("LvCatItem1");
                if (LvCatItem1) {
                    LvCatItem1.click();
                }
                shouldPlayNow = true;
    
                if (divcatloading) divcatloading.style.display = "none";    
            }
          });
        });
        
        
        
         //search based results
        const myInput = document.getElementById('txtSearch');
        myInput.addEventListener('input', 
            function(event) {
            const searchTxt = event.target.value.trim();
            console.log('Input value changed:', searchTxt);
            if(searchTxt == '') return;
                
            var divSearchLoading = document.getElementById("divSearchLoading");
            if (divSearchLoading) divSearchLoading.style.display = "flex";
    
              $.ajax({
                    url : "search-videos.php",
                    method : "post",
                    data:{searchTxt:searchTxt},
                    success:function(response){
                        
                        $('#listViewSearch').html(response);
                        
                        $('body .card').click(function(){
                            $('.main-vimeo').html('');
                            $('.main-vimeo').html($(this).data('url'));
                        
                            var nam = $(this).attr('id');
                            console.log('namename:', nam);
                            vimeoPlayAll(nam, true); 
                        });
                        
                        // vimeoLoad1stVideo();   
                        /*
                        shouldPlayNow = false;
                        var LvCatItem1 = document.getElementById("LvCatItem1");
                        if (LvCatItem1) {
                            LvCatItem1.click();
                        }*/
                        
                        shouldPlayNow = true;
                        
                        if (divSearchLoading) divSearchLoading.style.display = "none";
                    }
                  });
                 
                 
            
        });
        //End of search based results

     
    
        
    }); //End of (document).ready
    
</script>
